+++
title = 'About me and why I do this'
date = 2024-06-20T19:49:35+02:00
draft = false
+++

# whoami
{{< collapse summary="tl;dr" >}}
- pika aka. Alexander Pieck
- IT Sysadmin
- IT started as a hobby
- Homelab Enthusiast
- Never wanted to code... but now I might be coding...
{{< /collapse>}}

---
Welcome to my newly created blog! I'm not sure how good this is going to be, but I'll try to make it as beautiful and interesting as possible.

My name is Alexander Pieck, and even though I'm in the IT business, I'm usually the kind of sysadmin who runs the servers and hardware and gets blamed for slow internet speeds and bad password policies (spoiler: I also hate changing my password every 180 days).

Recently, I decided to give programming a shot. I started with some bash scripts for my dotfiles and loved the customizability and freedom that comes with doing it yourself!

Then, I thought about creating my own website. As an IT guy, I also have my own company and need a way to present myself on the world wide web. So about a week ago, I started dabbling in HTML and CSS. Just basic stuff like padding, margin, flexboxes, and layout/placement. This also helped me customize my dotfiles better.

I already knew a bit of markdown from using Git, of course. But I never really had the need to write much in markdown. Now, with Hugo as my site generator, I need to know markdown well. I think it's a pretty easy and fast way to deploy websites (even non-blog websites, if you know how), so I decided to go that route.

This whole idea isn't just for nothing. I plan to get it online, but really, it's just for me, so...

## what do I want to achieve?
---
Good question! Here are some things I hope to accomplish with this blog:

1. #### Just Writing
I don't know why, but I've always liked sharing my thoughts with others. I do this to refresh my own knowledge and always thought others might learn something from it, even though I now realize that might not always have been the case. So yeah, mostly for myself, again.
I also just love the English language, even though it's not my native language. I'm from Germany and maybe I'll try to add translated versions of my blog later on.

2. #### Learning Vim Keybindings (Neovim)
As I started coding, I stumbled across The Primeagen and fell in love with his vim skills and how fast he can just DO stuff. I was stunned and installed Neovim the same day.
My newfound Neovim love is thanks to the Neovide frontend for Neovim. It's absolutely gorgeous, and I really want to write, learn, and live in this environment now!

3. #### Learning How to Code and Structure a Website
I want to learn basic website design and maybe, later on, a bit of app design, specifically for the web. I love the open-source Docker containers available on Docker Hub, and would love to publish my own small set of apps. But that's all something for future pika.

---
By setting these goals, I'm hoping to make this blog not just a platform for sharing my thoughts, but also a tool for personal growth and learning. Thank you for joining me on this journey!
