+++
title = 'A challange will get you going fast'
date = 2024-06-20T23:15:44+02:00
draft = false
+++

# A Challenge Will Get You Going

A few days ago, I embarked on a new adventure: writing my first blog entry. I didn't really know what I was doing, and to be honest, that hasn't changed much! 😊 However, I am amazed at how straightforward and enjoyable it is to learn website development with the Hugo framework. As I mentioned [before](../1/), one of my goals was to create a website for a client. And let me tell you, it feels fantastic to learn some truly "good" stuff. My work may not be perfect, but I’m genuinely proud of myself and have thoroughly enjoyed the process with Hugo.

I can't showcase my work just yet, as it's still a work in progress and not ready for production. But once the website is live, I'll make sure to update this page with a link.

In my research, I explored several Hugo themes, but many were outdated. When I loaded them and started a server, bam - they threw weird CSS errors and some said things like `.. is deprecated, use .. instead`, which felt quite odd and frustrating. Since I'm new to the whole website industry, I wanted to stick to themes that work well and look nice:
## PaperMod
---
One theme that stands out is PaperMod, which I am using right now 🫡.
I love its simplicity, but I know this is definitely NOT the right choice for a customer’s website who wants to display products or run a shop. Nevertheless, there's something special about it, something cozy and different, in the way PaperMod presents content. It also offers numerous configuration options, such as:

- Enabling breadcrumbs (those Home >> Blogs indicators)
- Enabling Emoji support 🥳
- And many more features, which I plan to explore in the coming days

## minimal_marketing
---
Another theme I considered is minimal_marketing. It looks amazing and simple, but the way it is advertised and the somewhat complicated installation process made it hard to get started. Maybe I’ll give it another try later in my career 😜.

## spectral
---
The theme I selected and modified the most is spectral. It showcases a nice, big open screen, which I liked, and provides almost all the space I need on the first page. It also offers a way to manage Meetups, which was a requirement for the website. I thought it would be the easiest and nicest-looking theme I could choose, so I did.
